[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#239719: xserver-xfree86: v4.3.0-7 post-installation script returned error exit status 139

On 2004-03-24 Greg Folkert <greg@gregfolkert.net> wrote:
> Package: xserver-xfree86
> Version: 4.3.0-7
> Severity: grave
> Tags: sid
> Justification: renders package unusable
> Performed a dist-upgrade. So I am working. But I did do a base
> install, then an "dpkg --set-selections" "apt-get dselect-upgrade"
> to test this out and did cause the same error.

> Reporting from my regular machine. I am currently working, currently
> dpkg-reconfigure won't work should I change something

> Here is the output of dpkg --configure --debug=3773 etc
> D000002: fork/exec /var/lib/dpkg/info/xserver-xfree86.postinst ( )
> dpkg: error processing xserver-xfree86 (--configure):
>  subprocess post-installation script returned error exit status 139
> Errors were encountered while processing:
>  xserver-xfree86

This bug matches the criteria for "important" exactly:
| important
|    a bug which has a major effect on the usability of a package,
|    without rendering it completely unusable to everyone.

Clearly it is not "unusable to everyone" otherwise it would have been
reported a week ago.

I am not downgrading it, as I am no part of the xfree86

DEBCONF_DEBUG=developer dpkg --configure xserver-xfree86
or temporarily adding "set -x" as 2nd line to
/var/lib/dpkg/info/xserver-xfree86.postinst and running
"dpkg --configure xserver-xfree86" might show useful information.
               cu andreas

Reply to: